MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000468Community[OCCT] OCCT:Visualizationpublic2002-06-17 15:592016-12-09 16:38
Reporteremo 
Assigned Tobugmaster 
PrioritynoneSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0000468: AIS Limitations
DescriptionThis improvement proposal has been added at
http://www.opencascade.org/forumorg/read.php?f=8&i=78&t=78 [^] by Patrick Muller

in AIS there is a lot of using enumerations (for example:
Quantity_NameOfColor myHilightColor in AIS_Interactive context).
In my opinion it would be better using the real types like Quantity_Color.
So users coud select the whole range of possibilities instead just the few
ones from enumeration.

What are you thinking about such a change (I know it would be a lot of work
- but a good improvement).
TagsNo tags attached.
Test case numberNot needed
Attached Filesgz file icon OCC468_KAS.tar.gz (68,226 bytes) 2003-05-05 08:43
gz file icon OCC468_KAS_ver2.tar.gz (83,654 bytes) 2003-09-29 13:10

- Relationships
related to 0027818closedkgv Open CASCADE Visualization - provide an interface to define highlight presentation properties 

-  Notes
(0058646)
kgv (developer)
2016-10-13 11:35

Dear bugmaster,

please switch bug to VERIFIED - the feature has been considered in scope of the patch for bug 0027818.

- Issue History
Date Modified Username Field Change
2002-06-17 16:02 bugmaster Assigned To bugmaster => gg
2002-06-17 16:02 bugmaster Status new => assigned
2002-06-17 16:03 bugmaster Assigned To gg => sav
2003-04-16 15:23 bugmaster Assigned To sav => enk
2003-05-14 14:46 vtn Status assigned => resolved
2003-05-19 12:58 apv CC => apv
2003-05-19 13:20 apv CC => aki
2004-11-01 14:33 bugmaster Assigned To enk => vtn
2004-11-01 14:33 bugmaster Status resolved => assigned
2005-01-12 16:55 bugmaster Assigned To vtn => san
2005-07-13 17:50 bugmaster Customer => Community
2011-04-07 18:09 bugmaster Assigned To san => apl
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2012-10-23 11:22 abv Fixed in Version EMPTY =>
2012-10-23 11:22 abv Target Version => Unscheduled
2012-10-23 11:22 abv Description Updated View Revisions
2016-10-13 11:35 kgv Relationship added related to 0027818
2016-10-13 11:35 kgv Note Added: 0058646
2016-10-13 11:35 kgv Assigned To apl => bugmaster
2016-10-13 11:35 kgv Status assigned => feedback
2016-10-13 11:35 kgv Resolution open => fixed
2016-10-13 11:35 kgv Target Version Unscheduled => 7.1.0
2016-10-25 20:31 apn Test case number => Not needed
2016-10-25 20:31 apn Status feedback => tested
2016-10-25 20:31 apn Status tested => verified
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker